获取 bookingService
命名空间:microsoft.graph
重要
Microsoft Graph版本下的 /beta API 可能会发生更改。 不支持在生产应用程序中使用这些 API。 若要确定 API 是否在 v1.0 中可用,请使用 版本 选择器。
获取指定 bookingBusiness 中 bookingService 对象的属性和关系。
权限
要调用此 API,需要以下权限之一。要了解详细信息,包括如何选择权限的信息,请参阅权限。
| 权限类型 | 权限(从最低特权到最高特权) |
|---|---|
| 委派(工作或学校帐户) | Bookings.Read.All、BookingsAppointment.ReadWrite.All、Bookings.ReadWrite.All、Bookings.Manage.All |
| Application | BookingsAppointment.ReadWrite.All、Bookings.Read.All |
HTTP 请求
GET /bookingBusinesses/{id}/services/{id}
可选的查询参数
此方法支持 OData 查询参数 来帮助自定义响应。
请求标头
| 名称 | 说明 |
|---|---|
| Authorization | 持有者 {code}。必需。 |
请求正文
请勿提供此方法的请求正文。
响应
如果成功,此方法在响应正文中返回 200 OK 响应代码和 bookingService 对象。
示例
请求
下面展示了示例请求。
GET https://graph.microsoft.com/beta/bookingBusinesses/Contosolunchdelivery@contoso.onmicrosoft.com/services/57da6774-a087-4d69-b0e6-6fb82c339976
响应
下面展示了示例响应。
注意: 为了提高可读性,可能缩短了此处显示的响应对象。
HTTP/1.1 200 OK
Content-type: application/json
{
"@odata.context": "https://graph.microsoft.com/beta/$metadata#bookingBusinesses('Contosolunchdelivery%40contoso.onmicrosoft.com')/services/$entity",
"id": "57da6774-a087-4d69-b0e6-6fb82c339976",
"displayName": "Bento",
"defaultDuration": "PT30M",
"defaultPrice": 10,
"defaultPriceType": "fixedPrice",
"description": "Individual bento box lunch delivery",
"languageTag": "en-US",
"isHiddenFromCustomers": false,
"notes": "Home-cooked special",
"preBuffer": "PT5M",
"postBuffer": "PT10M",
"staffMemberIds": [],
"isLocationOnline": true,
"smsNotificationsEnabled": true,
"isAnonymousJoinEnabled": false,
"webUrl": "https://outlook.office365.com/owa/calendar/Contosolunchdelivery@contoso.onmicrosoft.com/bookings/s/gkcGIq92Z0u5h4FWB9Qgcg2",
"defaultLocation": {
"displayName": "Contoso Lunch Delivery",
"locationEmailAddress": null,
"locationUri": "",
"locationType": null,
"uniqueId": null,
"uniqueIdType": null,
"address": {
"type": "home",
"postOfficeBox": "",
"street": "4567 First Street",
"city": "Buffalo",
"state": "NY",
"countryOrRegion": "USA",
"postalCode": "98052"
},
"coordinates": {
"altitude": null,
"latitude": null,
"longitude": null,
"accuracy": null,
"altitudeAccuracy": null
}
},
"defaultReminders": [
{
"offset": "P1D",
"recipients": "allAttendees",
"message": "Please be reminded that this service is tomorrow."
}
],
"schedulingPolicy": {
"timeSlotInterval": "PT1H",
"minimumLeadTime": "PT10H",
"maximumAdvance": "P10D",
"sendConfirmationsToOwner": true,
"allowStaffSelection": true
}
}
反馈
提交和查看相关反馈